#include "file_data.h"

#include <vector>

const p2pvdn::socket &vdnd::operator>>(const p2pvdn::socket &socket, file_data &file_data)
{
	unsigned num_packets;
	socket >> num_packets;
	for (auto chunk = file_data.chunks.begin(); chunk != file_data.chunks.end(); chunk++)
		for (unsigned packet_num = 0; packet_num < num_packets; packet_num++)
			chunk->add_packet({socket, file_data.file_opts});

	return socket;
}
