#ifndef VDND
#define VDND

#include "shared_map.h"
#include "file_data.h"
#include "peer_data.h"

#include <p2pvdn/hash.h>

namespace vdnd {
	struct opts;

	struct ctx {
		shared_map<p2pvdn::hash, file_data> files;
		shared_map<p2pvdn::hash, peer_data> peers;
		const std::chrono::milliseconds sleep_time;

		ctx(const opts &opts);
	};
}

#endif
